.devtools-console {

	background-color: #fff;
	position: fixed;
	bottom: 0;
	width: 100%;

	&.open {
		.toolbar {
			.toggle-console {
				&:before {
					content: "-";
				}
			}
		}
	}

	max-height: calc(~'100% - @{navigation-height}' - 4px);

	.toolbar {
		box-shadow: 0 2px 5px rgba(0,0,0,0.26);
		height:52px;
		width:100%;

		.toggle-console {
			&:before {
				content: "+";
			}
			background-color: #fff;

			&:hover  {
				background-color: #fff;
				color: #000;
				transition: none;
			}
		}
	}

	.output {
		display: none;
		font-family: monospace;
		padding-top: 5px;
	}

	.message {
		background-color: rgb(253, 242, 245);
		color: rgb(164, 0, 15);
		padding: 1%;
	}

	.stack-trace {
		.fcall, .pname, .fname {
	        float: left;
	        padding: 0% 1%;
	    }
	    .fcall, .fname {
	        width: 23%;
	    }
	    .pname {
	    	width:48%;
	    	direction: rtl;
	    	text-align: left;
	        text-overflow: ellipsis;
	        white-space: nowrap;
	        overflow: hidden;
	    }
	    .fname {
	    	text-align: right;
	    }
	}

	.error {
		background-color: rgb(253, 242, 245);

		.message {
			color: rgb(164, 0, 15);
			float: left;
			padding: 1%;
		}

		.fname {
			color: #00f;
			float: right;
	    	min-width:20%;
	    	padding: 1%;
	    	direction: rtl;
	    	text-align: left;
	        text-overflow: ellipsis;
	        white-space: nowrap;
	        overflow: hidden;
	    }
	}
}